Subject: Re: bug#21472: 25.0.50; REGRESSION: (emacs) `Coding Systems' uses curly quotes for Lisp strings

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Sep 2015 19:26:38 +0300

> From: Paul Eggert <[email-masked]>
> Date: Tue, 15 Sep 2015 08:57:19 -0700
> 
> Although the manual was correct as it was, it could be written to avoid the need 
> for the quotes, and this should help avoid confusion like the problem Drew 
> reported.  I went through the Emacs, Elisp, and Elisp intro manuals looking for 
> this sort of problem and fixed the ones that I found in commit 
> ef7dbdf5873bf0a1f3f0e64e5d019e74d5b15b9e.

After looking through these changes, I must say I don't like too many
of them.  Phrases like "foo (or “bar”)" now lost their quotes, which
makes them less correct English-wise, AFAIK.  Even worse, we lost
quotes in phrases like "foo (a.k.a. “bar”).  This sentence:

  On a decentralized version control system, push changes from the
  current branch to another location.

where "push" was quoted, is now reads like incorrect English ("push"
is not a noun here).  Likewise here:

  The external border is normally not shown on fullboth and mazimized
  frames.

Previously, "fullboth", which is not a word, was quoted to indicate
that it's not a real word.

Many places have a quoted text replaced by @dfn, although there's no
terminology here that we describe or index.

Etc., etc. -- I think a large portion of these changes goes too far,
and replaces perfectly correct English with less correct one.

I think most of these changes should be reverted.